This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 456925

Summary: [coreutils] complaint about "Unknown colorls variable `ca' in tcsh"
Product: [Fedora] Fedora Reporter: Joachim Frieben <jfrieben>
Component: coreutilsAssignee: Kamil Dudka <kdudka>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: ajschult, beland, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-31 11:22:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Joachim Frieben 2008-07-28 13:19:17 EDT
Description of problem:
After upgrading to coreutils-6.12-7.fc10, setting LS_COLORS in .cshrc
for the tcsh shell leads to the error message:

   "Unknown colorls variable `ca'."

Shell initalization aborts at this point.

Version-Release number of selected component (if applicable):
coreutils-6.12-7.fc10

How reproducible:
Always.

Steps to Reproduce:
1. Update to coreutils-6.12-7.fc10.
2. Open GNOME terminal using tcsh as login shell.
  
Actual results:
Shell initialization aborts complaining about an unknown colorls
variable `ca'.

Expected results:
Shell is fully initialized and LS_COLORS are applied successfully.

Additional info:
- setting LS_COLORS in .cshrc has been working for the last 10 years ;o)
- applying the 'setenv LS_COLORS ...' command on the command line appears
  to work however.
- according to the RPM changelog, there has been a change related to this:
  "ls: --color now highlights files with capabilities (#449985)".
Comment 1 Christopher Beland 2008-07-31 10:47:30 EDT
I am having the same problem with Fedora 9 after today's update to
coreutils-6.10-28.fc9.i386.  It's preventing me from "su"ing because (root's
shell is set to /bin/tcsh).

I can "source /home/beland/.cshrc" without error.  If I put an "echo" statement
on the first line of that file, I don't see the output when starting an xterm,
leading me to believe it's not a problem with my customizations.
Comment 2 Kamil Dudka 2008-07-31 11:22:38 EDT

*** This bug has been marked as a duplicate of 457342 ***